## org.apache.mahout.clustering.canopy
Class ClusterMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.IntWritable,WeightedVectorWritable>
          org.apache.mahout.clustering.canopy.ClusterMapper

    public class ClusterMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.IntWritable,WeightedVectorWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`ClusterMapper()`

Method Summary
`boolean` `canopyCovers(Canopy canopy, Vector point)`
`void` `config(java.util.Collection<Canopy> canopies)` Configure the mapper by providing its canopies.
`protected void` `map(org.apache.hadoop.io.WritableComparable<?> key, VectorWritable point, org.apache.hadoop.mapreduce.Mapper.Context context)`
`protected void` `setup(org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusterMapper

    public ClusterMapper()

Method Detail

### map

    protected void map(org.apache.hadoop.io.WritableComparable<?> key,
                       VectorWritable point,
                       org.apache.hadoop.mapreduce.Mapper.Context context)
                throws java.io.IOException,
                       java.lang.InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.IntWritable,WeightedVectorWritable>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### config

    public void config(java.util.Collection<Canopy> canopies)

  Configure the mapper by providing its canopies. Used by unit tests.

  Parameters:
    `canopies` - a List<Canopy>

### setup

    protected void setup(org.apache.hadoop.mapreduce.Mapper.Context context)
                  throws java.io.IOException,
                         java.lang.InterruptedException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.IntWritable,WeightedVectorWritable>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### canopyCovers

    public boolean canopyCovers(Canopy canopy,
                                Vector point)

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.